.main-layout {

}

.main-layout--no-sidebar {
  grid-template-columns: 1fr;
}

.main-layout .region-content-above {
  margin: var(--spacing-lg) 0;
}

.main-layout__content {
  margin: var(--spacing-lg) 0;
}

.main-layout--content-type-page .main-layout__content-inner,
.main-layout--content-type-article .main-layout__content-inner {
  padding: var(--layout-container-side-gap);
  border-radius: var(--radius-lg);
  box-shadow: var(--shadow-xs);
  background-color: var(--color-surface);
}

.main-layout--sidebar-left .main-layout__content-inner {
  display: grid;
  grid-gap: var(--spacing-lg);
}

.main-layout--sidebar-left .region-sidebar-left {
  display: none;
}


@media (min-width: 1024px) {
  .main-layout--sidebar-left .region-sidebar-left {
    display: block;
  }

  .main-layout--sidebar-left .main-layout__content-inner {
    grid-template-columns: 240px 1fr;
  }

  .main-layout--sidebar-left .region-content {
    /* If sidebar is missing we force content to be on it's own place. */
    grid-column: 2;
  }
}
